Download it now!
Bug 108361 - Scrolling a complex table structure seems to be slower as before (DirectWrite)
Summary: Scrolling a complex table structure seems to be slower as before (DirectWrite)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, haveBacktrace, perf, regression
Depends on:
Blocks: DirectWrite-Regression
  Show dependency treegraph
 
Reported: 2017-06-06 11:22 UTC by Telesto
Modified: 2017-10-18 11:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (18.49 KB, application/vnd.oasis.opendocument.text)
2017-06-06 11:23 UTC, Telesto
Details
Callgrind output from 5.5 (6.25 MB, application/x-xz)
2017-06-10 18:47 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-06-06 11:22:31 UTC
Description:
Scrolling a complex table structure seems to be slower as before

Steps to Reproduce:
1. Open the attached file
2. Scroll up and down with the scroll wheel

Actual Results:  
Slow and laggy

Expected Results:
Quite a smooth scroll as before


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-28_23:21:44
Locale: nl-NL (nl_NL); Calc: CL

but not in
Versie: 5.4.0.0.beta1 
Build ID: 8672113ead4e403c55e31b1d9a3d1e0f3b299577
CPU-threads: 4; Besturingssysteem:Windows 6.2; UI-render: standaard; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-06-06 11:23:00 UTC
Created attachment 133874 [details]
Example file
Comment 2 Buovjaga 2017-06-10 18:47:13 UTC
Created attachment 133947 [details]
Callgrind output from 5.5

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 2802dca10eef67554a81cb2347d5f648fa6fcd63
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 10th 2017
Comment 3 Buovjaga 2017-06-10 18:51:02 UTC
Maybe it is slightly more laggy, hard to tell. Callgrind should reveal cause in any case.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: 2802dca10eef67554a81cb2347d5f648fa6fcd63
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 10th 2017

5.4 beta2 appimage
Comment 4 Xisco Faulí 2017-06-19 22:17:02 UTC
Hi Telesto,
have you reported the opening time in another bug as well? I see than in version  4.3.0.0.alpha1+ it takes 1m50.886s while in master it takes 4m31.369s. let me know whether you have reported, and I'll do it if not...
Comment 5 Xisco Faulí 2017-06-19 23:42:44 UTC
Nevermind, I've already reported it in bug 108642
Comment 6 Telesto 2017-10-03 20:23:40 UTC
~/bibisect-win32-5.4
$ git bisect good
19490574e42c3180a38d55ccbbf1e3a00802150d is the first bad commit
commit 19490574e42c3180a38d55ccbbf1e3a00802150d
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Mar 7 03:23:53 2017 -0800

    source sha:a51b7a1c3a7e7cf7b0c733e1dec40288278c1884

    source sha:a51b7a1c3a7e7cf7b0c733e1dec40288278c1884

:040000 040000 fa9847e60273bbf053160ac074280d57781619b5 7b3b4adbbdd5fd93323c745d4f3ac70108e31c5d M      instdir

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a51b7a1c3a7e7cf7b0c733e1dec40288278c1884

author	Khaled Hosny <khaledhosny@eglug.org>	2017-03-03 03:15:14 (GMT)
committer	Khaled Hosny <khaledhosny@eglug.org>	2017-03-03 13:22:53 (GMT)
commit	a51b7a1c3a7e7cf7b0c733e1dec40288278c1884 (patch)
tree	6452088195b6c0ad617e7a6b9f97ecc8672d321e
parent	5742868ccf030b2c0f03538d030bd18bd5666bdb (diff)
tdf#103831, tdf#100986: Force using GDI when needed
Our DirectWrite renderer is incomplete and can’t handle rotated text or text
with horizontal scaling, so route these two through GDI for now.
Comment 7 Xisco Faulí 2017-10-04 20:58:11 UTC
This is a problem in DirectWrite, thus it's not fixed. My commit only changes the behaviour to use GDI instead, as it was before. The plan is to move to DirectWrite at some point. Keeping it open.
Comment 8 Xisco Faulí 2017-10-18 11:17:43 UTC
Currently there's no way to enable the DirectWrite from the UI, thus closing as
RESOLVED WORKSFORME